Copied to clipboard

Flag this post as spam?

This post will be reported to the moderators as potential spam to be looked at


  • John Bertelsen 5 posts 75 karma points
    Sep 13, 2017 @ 16:28
    John Bertelsen
    0

    Less provider not working with v7.6.6

    Created brand new project, and installed v7.6.6 to test.

    Optimus.Core v1.4.0 installs fine, no problem.

    Optimus.Providers.Less v1.3.0 hangs half way through the install for more than 5 minutes, Refreshed the backoffice (package seems to be installed). Dlls are in the bin

    • Optimus.Providers.Less.dll
    • BundleTransformer.Less.dll
    • BundleTransformer.Less.resources.dll

    Web.config does not seem to be edited correctly

    • Missing (add fileExtension=".less" assetTypeCode="Less")
    • Missing (add name="LessTranslator" type="BundleTransformer.Less.Translators.LessTranslator, BundleTransformer.Less") amongst other things

    Creating new bundle with 3 less files in, file 1 imports file 2 and 3. This gives me a YSOD immediately (error: "These assets are not style sheets: /css/sheet1.less, /css/sheet2.less, /css/sheet3.less").

    If i add in the .less file extension, that fixes the YSOD.

    Writing normal css in any of the files works like it should, although the files are not actually bundles (as i discovered when I loaded the site with network devtools opened, it still counts 3 files downloaded, instead of 1 bundle file).

    Writing less in any of the files (e.g. setting a colour in a variable, and using that variable) does not work.

    Thanks in advance.

Please Sign in or register to post replies

Write your reply to:

Draft